Subject: bug#74295: Update TODO -> NeXTstep port -> Improved xwidgets support

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Dec 2024 11:32:36 +0200

Ping! Ping!  Po Lu, can you please answer Andrew's question, if you
know the answer?

> Cc: [email-masked], [email-masked]
> Date: Sat, 30 Nov 2024 11:46:19 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> Ping!
> 
> > Cc: [email-masked]
> > Date: Thu, 14 Nov 2024 10:22:21 +0200
> > From: Eli Zaretskii <[email-masked]>
> > 
> > > From: Andrew De Angelis <[email-masked]>
> > > Date: Sun, 10 Nov 2024 10:13:17 -0500
> > > 
> > > I have a question and a possible patch to contribute.
> > > For context: the most glaring issues with xwidget support of NS have been fixed: I contributed a patch to get
> > > rid of memory leaks a while ago, under: "bug#60703 Patches to xwidget code".
> > > 
> > > I've just noticed that I forgot to update the TODO file, so it still mentions crashes:
> > > > trying to display a xwidget in the "killed" state will make Emacs crash.
> > > 
> > > I've used the xwidget feature extensively and in my experience, xwidgets do not crash Emacs anymore.
> > > 
> > > Question:
> > >  - Could someone clarify what we mean by displaying a xwidget in the "killed" state? I want to make sure I
> > > understand the problem and it's fixed
> > 
> > Can someone who knows about this (Po Lu?) answer Andrew's question?
> > 
> > > Possible patch (if the problem is indeed fixed):
> > > Attached. Remove the mention of crashes, and clarify which features are still missing from the NS port.
> > 
> > I installed that on the emacs-30 release branch, thanks.
> > 
> > 
> > 
> > 
> 
> 
> 
>